Index: tmp/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 1911)
+++ tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 1912)
@@ -37,9 +37,7 @@
 import java.text.Collator;
 import java.text.DateFormat;
 import java.text.SimpleDateFormat;
-import java.util.ArrayList;
 import java.util.Arrays;
-import java.util.HashMap;
 import java.util.LinkedHashMap;
 import java.util.Locale;
 import java.util.logging.Level;
@@ -90,10 +88,7 @@
 	/** The state. */
 	private static boolean state = false;
 
-
-
-
-
+	/** Root of all TXMResults and manages the corpus */
 	public static Workspace workspace;
 
 	/**
@@ -134,7 +129,7 @@
 
 				}
 				else {
-					Log.severe("No engine found for " + enginesManager + ", installation failed.");
+					Log.warning("No engine found for " + enginesManager + ", installation failed.");
 				}
 			} catch(Throwable e) {
 				e.printStackTrace();
@@ -163,7 +158,6 @@
 		TBXPreferences.getInstance().put(key, value);
 	}
 
-
 	/**
 	 * Gets the manager of the specified engine type.
 	 * @param engineType
@@ -233,15 +227,15 @@
 	public static boolean initialize(Class preferencesStore, IProgressMonitor monitor) throws Exception {
 		initializing = true;
 		if (monitor != null) {
-			monitor.setTaskName("Initializing Toolbox...");
+			monitor.setTaskName(TXMCoreMessages.initializingToolbox);
 		}
 		try {
 			if (monitor != null) {
-				monitor.subTask("Loading extensions (pre-installation)...");
+				monitor.subTask(TXMCoreMessages.loadingExtensionPreInstallation);
 			}
 			pluginsPreinstallation(monitor);
 		} catch(Exception e) {
-			System.out.println("Error while pre-installing plugins: " + e.getLocalizedMessage());
+			Log.warning(NLS.bind(TXMCoreMessages.errorWhilePreInstallingPluginsP0, e.getLocalizedMessage()));
 		}
 
 		if (monitor != null && monitor.isCanceled()) return false;
@@ -272,7 +266,7 @@
 			startEnginesManagers(monitor);
 			if (monitor != null && monitor.isCanceled()) return false;
 		} catch (Exception e) {
-			Log.severe("Error while starting engines.");
+			Log.warning("Error while starting engines.");
 			e.printStackTrace();
 			initializing = false;
 			throw e;
@@ -282,19 +276,19 @@
 
 		try {
 			if (monitor != null) {
-				monitor.subTask("Loading plug-in post-installation extensions...");
+				monitor.subTask(TXMCoreMessages.loadingExtensionPostInstallation);
+				
 			}
 			pluginsPostinstallation(monitor);
 			if (monitor != null && monitor.isCanceled()) return false;
 		} catch(Exception e) {
-			Log.severe("Error while loading plugins post-installation.");
-			e.printStackTrace();
+			Log.warning(NLS.bind(TXMCoreMessages.errorWhilePostInstallingPluginsP0, e.getLocalizedMessage()));
 		}
 
 		// loads and recreate the existing projects, loadParameters() needs engines to be ready
 		if (workspace != null) {
 			if (monitor != null) {
-				monitor.setTaskName("Initializing corpora...");
+				monitor.setTaskName(TXMCoreMessages.initializingCorpora);
 				monitor.subTask("");
 			}
 			workspace.loadProjectsFromProjectScopes();
@@ -645,8 +639,8 @@
 				}
 			}
 		} catch (Exception e) {
-			Log.severe(NLS.bind(TXMCoreMessages.errorDuringWorkspaceInitializationColonP0, txmhomedir)); 
-			Log.severe(NLS.bind(TXMCoreMessages.errorColonP0, Log.toString(e)));
+			Log.warning(NLS.bind(TXMCoreMessages.errorDuringWorkspaceInitializationColonP0, txmhomedir)); 
+			Log.warning(NLS.bind(TXMCoreMessages.errorColonP0, Log.toString(e)));
 			Log.printStackTrace(e);
 			state = false;
 		}
@@ -736,7 +730,7 @@
 			String path = Toolbox.getPreference(TBXPreferences.INSTALL_DIR);
 			File installDirectory = new File(path);
 			if (!installDirectory.exists()) {
-				Log.severe("Error: Workspace cannot found install directory: "+installDirectory.getAbsolutePath());
+				Log.warning("Error: Workspace cannot found install directory: "+installDirectory.getAbsolutePath());
 				return null;
 			}
 
@@ -756,7 +750,7 @@
 
 			return workspace;
 		} catch (Exception e) {
-			Log.severe(NLS.bind(TXMCoreMessages.failedToCopyTXMFilesFromTXMINSTALLDIRToTXMHOMEColonP0, e.getLocalizedMessage()));
+			Log.warning(NLS.bind(TXMCoreMessages.failedToCopyTXMFilesFromTXMINSTALLDIRToTXMHOMEColonP0, e.getLocalizedMessage()));
 			e.printStackTrace();
 			return null;
 		}
Index: tmp/org.txm.core/src/java/org/txm/core/messages/messages.properties
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/messages.properties	(revision 1911)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/messages.properties	(revision 1912)
@@ -243,4 +243,11 @@
 
 xmlValidationColonP0IsADirectory = XML Validation: {0} is a directory.
 
-xmlValidationColonP0IsNotReadable = XML Validation: {0} is not readable.
+xmlValidationColonP0IsNotReadable = XML Validation: {0} is not readable.
+
+initializingToolbox=Initializing Toolbox...
+loadingExtensionPreInstallation=Loading extensions (pre-installation)...
+errorWhilePreInstallingPluginsP0=Error while pre-installing plugins: {0}
+loadingExtensionPostInstallation=Loading plug-in post-installation extensions...
+errorWhilePostInstallingPluginsP0=Error while post-installing plugins: {0}
+initializingCorpora=Initializing corpora...
Index: tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 1911)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 1912)
@@ -159,7 +159,19 @@
 	public static String wrongLoginOrPasswordOrPortColon; 
 	public static String xmlValidationColonP0DoesNotExists;
 	public static String xmlValidationColonP0IsADirectory; 
-	public static String xmlValidationColonP0IsNotReadable; 
+	public static String xmlValidationColonP0IsNotReadable;
+
+	public static String initializingCorpora;
+
+	public static String errorWhilePostInstallingPluginsP0;
+
+	public static String loadingExtensionPostInstallation;
+
+	public static String errorWhilePreInstallingPluginsP0;
+
+	public static String loadingExtensionPreInstallation;
+
+	public static String initializingToolbox; 
 	
 	
 	/**
Index: tmp/org.txm.core/src/java/org/txm/core/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/messages_fr.properties	(revision 1911)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/messages_fr.properties	(revision 1912)
@@ -244,3 +244,10 @@
 xmlValidationColonP0IsADirectory = Validation XML : {0} est un dossier
 
 xmlValidationColonP0IsNotReadable = Validation XML : {0} n''a pas les bon droits de lecture
+
+initializingToolbox=Initialisation de la Toolbox...
+loadingExtensionPreInstallation=Pre-chargement des extensions...
+errorWhilePreInstallingPluginsP0=Erreur lors du pre-chargement des extensions : {0}
+loadingExtensionPostInstallation=Post-chargement des extensions...
+errorWhilePostInstallingPluginsP0=Erreur lors du post-chargement des extensions : {0}
+initializingCorpora=Initialisation des corpus...
\ No newline at end of file
